Package com.google.android.exoplayer2.testutil.truth

## Interface SpannedSubject.AndSpanFlags

- Enclosing class:
    SpannedSubject

      public static interface SpannedSubject.AndSpanFlags

  Allows additional assertions to be made on the flags of matching spans.

  Identical to `SpannedSubject.WithSpanFlags`, but this should be returned from `with...()` methods while `SpannedSubject.WithSpanFlags` should be returned from `has...()` methods.

  See Flag constants on `Spanned` for possible values.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `andFlags​(int flags)` | Checks that one of the matched spans has the expected `flags`.

- - ### Method Detail

    - #### andFlags

          void andFlags​(int flags)

      Checks that one of the matched spans has the expected `flags`.
      Parameters:
        `flags` - The expected flags. See SPAN_* constants on `Spanned` for possible values.